#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2023/03/16 01:58:27
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   
'''


from PyQt5 import QtCore, QtWidgets
from PyQt5.QtWidgets import QDialog
class MainUI(object):
    '''.ui转换为py代码'''
    
    def setupUi(self, mainDialog: QDialog):
        '''设置界面'''
        mainDialog.setObjectName("Dialog")
        mainDialog.resize(400, 300)
        self.groupBox = QtWidgets.QGroupBox(mainDialog)
        self.groupBox.setGeometry(QtCore.QRect(0, 0, 391, 241))
        self.groupBox.setObjectName("groupBox")
        self.textEdit = QtWidgets.QTextEdit(self.groupBox)
        self.textEdit.setGeometry(QtCore.QRect(20, 50, 351, 181))
        self.textEdit.setObjectName("textEdit")
        self.comboBox = QtWidgets.QComboBox(self.groupBox)
        self.comboBox.setGeometry(QtCore.QRect(100, 20, 91, 20))
        self.comboBox.setObjectName("comboBox")
        self.comboBox.addItem("")
        self.comboBox.addItem("")
        self.comboBox.addItem("")
        self.label = QtWidgets.QLabel(self.groupBox)
        self.label.setGeometry(QtCore.QRect(30, 20, 61, 21))
        self.label.setObjectName("label")
        self.queryBtn = QtWidgets.QPushButton(mainDialog)
        self.queryBtn.setGeometry(QtCore.QRect(40, 250, 75, 23))
        self.queryBtn.setMaximumSize(QtCore.QSize(75, 16777215))
        self.queryBtn.setObjectName("queryBtn")
        self.clearBtn = QtWidgets.QPushButton(mainDialog)
        self.clearBtn.setGeometry(QtCore.QRect(250, 250, 75, 23))
        self.clearBtn.setMaximumSize(QtCore.QSize(75, 16777215))
        self.clearBtn.setObjectName("clearBtn")
        
        self.retranslateUi(mainDialog)
        self.queryBtn.clicked.connect(mainDialog.queryWeather) # 点击事件
        self.clearBtn.clicked.connect(mainDialog.clearText)
        QtCore.QMetaObject.connectSlotsByName(mainDialog)
    
    def retranslateUi(self,  mainDialog: QDialog):
        _translate = QtCore.QCoreApplication.translate
        mainDialog.setWindowTitle(_translate("Dialog", "天气查询工具"))
        self.groupBox.setTitle(_translate("Dialog", "城市天气预报"))
        self.comboBox.setItemText(0, _translate("Dialog", "北京"))
        self.comboBox.setItemText(1, _translate("Dialog", "上海"))
        self.comboBox.setItemText(2, _translate("Dialog", "天津"))
        self.label.setText(_translate("Dialog", "城市"))
        self.queryBtn.setText(_translate("Dialog", "查询"))
        self.clearBtn.setText(_translate("Dialog", "清空"))
